
import React from 'react'
import { View, Image, Text } from '@tarojs/components'
import food from '@/assets/icons/ProCard/food.png'
import './style.less'

export default (props) => {
  const { type, top = '0px', left = '0px' } = props

  const icon = type === 'food' ? food : undefined;

  const style = {
    top,
    left
  }

  return (
    <View className='badge-tag-box' style={style}>
      <Image src={icon} className='badge-icon' />
    </View>
  )
}
