import React from 'react'
import { View } from '@tarojs/components'
import Star from '@/components/Star'
import './style.less'

export default (props) => {
  const { star } = props

  return (
    <View className='coupun-media_body'>
      <Star score={(star).toFixed(1)} style={{ position: 'absolute', top: '26rpx', left: 0 }} />
      <View>
        {props.children}
      </View>
    </View>
  )
}
