import React from 'react'
import { View, Image } from '@tarojs/components'
import BadgeTag from '@/components/BadgeTag'
import Cashback from '../Cashback'
import './style.less'

export default (props) => {
  const { cashback, badge, image } = props

  return (
    <View className='coupun-media_header'>
      <Cashback money={cashback} style={{ position: 'absolute', top: '10px', left: 0 }} />
      <View className='coupun-media_thumb'>
        <BadgeTag type={badge} />
        <Image src={image} />
      </View>
    </View>
  )
}
